> For the complete documentation index, see [llms.txt](https://docs.parallels.com/landing/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.parallels.com/landing/ras-rest-api-guide/api-reference/site-settings/system.md).

# System

## Get

> Retrieve the System settings

```json
{"openapi":"3.0.1","info":{"title":"Parallels RAS - REST API v1.0","version":"1.0"},"paths":{"/api/SystemSettings":{"get":{"tags":["2-Site settings//System"],"summary":"Get","description":"Retrieve the System settings","operationId":"b77925f3-a257-4eb1-b1f5-00a5b9949bd5","parameters":[{"name":"siteId","in":"query","schema":{"type":"integer","format":"int32"}}],"responses":{"200":{"description":"Success","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/RASSystemSettings"}}}},"401":{"description":"Unauthorized","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}},"404":{"description":"Not Found","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}}}}}},"components":{"schemas":{"RASSystemSettings":{"type":"object","properties":{"cepEnabled":{"type":"boolean","description":"<para type=\"description\">Whether CEP Is Enabled or not</para>"},"resetIdleSessionAfterMins":{"type":"integer","description":"<para type=\"description\">The Time to reset idle session</para>","format":"int32"},"checkForUpdateOnLaunch":{"type":"boolean","description":"<para type=\"description\">Check for update when launching RAS Console.</para>"}},"additionalProperties":false,"description":"<para type=\"synopsis\">RAS System Settings</para>\r\n<para type=\"description\"></para>"},"ProblemDetails":{"type":"object","properties":{"type":{"type":"string","nullable":true},"title":{"type":"string","nullable":true},"status":{"type":"integer","format":"int32","nullable":true},"detail":{"type":"string","nullable":true},"instance":{"type":"string","nullable":true}},"additionalProperties":{}}}}}
```

## Update

> Modify System Settings. For each setting, the request has a corresponding parameter. To modify a setting, specify a matching parameter and its value.

```json
{"openapi":"3.0.1","info":{"title":"Parallels RAS - REST API v1.0","version":"1.0"},"paths":{"/api/SystemSettings":{"put":{"tags":["2-Site settings//System"],"summary":"Update","description":"Modify System Settings. For each setting, the request has a corresponding parameter. To modify a setting, specify a matching parameter and its value.","operationId":"29fdbf46-050a-4f0d-86b8-0dafc0f4ad56","parameters":[{"name":"siteId","in":"query","description":"Site ID","schema":{"type":"integer","format":"int32"}}],"requestBody":{"description":"System Settings","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/SetSystemSettings"}}}},"responses":{"204":{"description":"No Content"},"401":{"description":"Unauthorized","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}},"404":{"description":"Not Found","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}}}}}},"components":{"schemas":{"SetSystemSettings":{"type":"object","properties":{"cepEnabled":{"type":"boolean","description":"<para type=\"description\">Customer Experience Program: Enable (True) or disable (False).</para>","nullable":true},"resetIdleSessionAfterMins":{"type":"integer","description":"<para type=\"description\">Reset RAS Console Idle session after (minutes).</para>","format":"int32","nullable":true},"checkForUpdateOnLaunch":{"type":"boolean","description":"<para type=\"description\">Whether Check for update is enabled on launch.</para>","nullable":true}},"additionalProperties":false},"ProblemDetails":{"type":"object","properties":{"type":{"type":"string","nullable":true},"title":{"type":"string","nullable":true},"status":{"type":"integer","format":"int32","nullable":true},"detail":{"type":"string","nullable":true},"instance":{"type":"string","nullable":true}},"additionalProperties":{}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.parallels.com/landing/ras-rest-api-guide/api-reference/site-settings/system.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
